Bug 1725494 - argbash-2.8.1 is available
Summary: argbash-2.8.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: argbash
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-30 21:01 UTC by Upstream Release Monitoring
Modified: 2019-08-01 02:22 UTC (History)
2 users (show)

Fixed In Version: argbash-2.8.1-1.fc30 argbash-2.8.1-1.fc29 argbash-2.8.1-3.fc30 argbash-2.8.1-3.fc29 argbash-2.8.1-3.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-24 00:58:29 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 2.8.1 (#1725494) (997 bytes, patch)
2019-06-30 21:01 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2019-06-30 21:01:16 UTC
Latest upstream release: 2.8.1
Current version/release in rawhide: 2.8.0-3.fc31
URL: https://argbash.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/17465/

Comment 1 Upstream Release Monitoring 2019-06-30 21:01:19 UTC
Created attachment 1586085 [details]
[patch] Update to 2.8.1 (#1725494)

Comment 2 Fedora Update System 2019-07-01 12:09:16 UTC
FEDORA-EPEL-2019-e447ceca4d has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e447ceca4d

Comment 3 Fedora Update System 2019-07-01 12:09:19 UTC
FEDORA-2019-b4da46354f has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b4da46354f

Comment 4 Fedora Update System 2019-07-03 01:20:47 UTC
argbash-2.8.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e447ceca4d

Comment 5 Fedora Update System 2019-07-03 02:26:25 UTC
argbash-2.8.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b4da46354f

Comment 6 Fedora Update System 2019-07-03 19:48:46 UTC
argbash-2.8.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ecad11ca0a

Comment 7 Fedora Update System 2019-07-16 01:39:46 UTC
argbash-2.8.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-07-16 03:22:00 UTC
argbash-2.8.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Brian Morrison 2019-07-16 18:06:34 UTC
dnf upgrade fails with error, old package is removed but new package is not installed.

Downloading the rpm from koji results in this failure with a local install:

Running transaction
  Preparing        :                                                                                                                           1/1
  Upgrading        : argbash-2.8.1-1.fc30.noarch                                                                                               1/2
Error unpacking rpm package argbash-2.8.1-1.fc30.noarch
  Cleanup          : argbash-2.8.0-2.fc30.noarch                                                                                               2/2
error: unpacking of archive failed on file /usr/share/bash-completion/completions/hub/argbash;5d2e0e22: cpio: open
error: argbash-2.8.1-1.fc30.noarch: install failed

  Running scriptlet: argbash-2.8.0-2.fc30.noarch                                                                                               2/2
  Verifying        : argbash-2.8.1-1.fc30.noarch                                                                                               1/2
  Verifying        : argbash-2.8.0-2.fc30.noarch 

Rebuilding the rpm locally produces rpms that are written out correctly by the build process but then the install fails with the same error.

Comment 10 Stephen Gallagher 2019-07-16 19:55:18 UTC
(In reply to Brian Morrison from comment #9)
> dnf upgrade fails with error, old package is removed but new package is not
> installed.
> 
> Downloading the rpm from koji results in this failure with a local install:
> 
> Running transaction
>   Preparing        :                                                        
> 1/1
>   Upgrading        : argbash-2.8.1-1.fc30.noarch                            
> 1/2
> Error unpacking rpm package argbash-2.8.1-1.fc30.noarch
>   Cleanup          : argbash-2.8.0-2.fc30.noarch                            
> 2/2
> error: unpacking of archive failed on file
> /usr/share/bash-completion/completions/hub/argbash;5d2e0e22: cpio: open
> error: argbash-2.8.1-1.fc30.noarch: install failed
> 
>   Running scriptlet: argbash-2.8.0-2.fc30.noarch                            
> 2/2
>   Verifying        : argbash-2.8.1-1.fc30.noarch                            
> 1/2
>   Verifying        : argbash-2.8.0-2.fc30.noarch 
> 
> Rebuilding the rpm locally produces rpms that are written out correctly by
> the build process but then the install fails with the same error.

I found the problem. I had a copy-paste error that was allowed by RPM and happened not to fail on my local machine. Building a fix now.

Comment 11 Fedora Update System 2019-07-16 20:02:07 UTC
FEDORA-2019-72a988d919 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-72a988d919

Comment 12 Fedora Update System 2019-07-16 20:02:07 UTC
FEDORA-EPEL-2019-9cd0fc07df has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9cd0fc07df

Comment 13 Fedora Update System 2019-07-16 20:02:10 UTC
FEDORA-2019-914db7ae3f has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-914db7ae3f

Comment 14 Brian Morrison 2019-07-16 20:26:56 UTC
argbash-2.8.1-3.fc29.noarch.rpm has fixed the upgrade problem for me.

Comment 15 Brian Morrison 2019-07-16 21:31:21 UTC
I see that the /usr/share/bash-completion/completions/argbash file has execute permissions set.

No other files in /usr/share/bash-completion/completions/ have these set.

Not sure if that is a problem or not.

Comment 16 Fedora Update System 2019-07-17 00:12:21 UTC
argbash-2.8.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9cd0fc07df

Comment 17 Fedora Update System 2019-07-17 02:06:25 UTC
argbash-2.8.1-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-72a988d919

Comment 18 Stephen Gallagher 2019-07-17 13:09:45 UTC
(In reply to Brian Morrison from comment #15)
> I see that the /usr/share/bash-completion/completions/argbash file has
> execute permissions set.
> 
> No other files in /usr/share/bash-completion/completions/ have these set.
> 
> Not sure if that is a problem or not.

Would you mind opening a BZ for that? I'll look into it, but it's a separate issue and I'd like to track it as such.

Comment 19 Brian Morrison 2019-07-17 13:59:02 UTC
OK, please see:

https://bugzilla.redhat.com/show_bug.cgi?id=1730743

Comment 20 Fedora Update System 2019-07-24 00:58:29 UTC
argbash-2.8.1-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-07-25 01:51:32 UTC
argbash-2.8.1-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-08-01 02:22:08 UTC
argbash-2.8.1-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.